#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: incremental-parser
version: 0.2.5.1
id: incremental-parser-0.2.5.1-ERVPlSR1ED688nkGfXDRrx
key: incremental-parser-0.2.5.1-ERVPlSR1ED688nkGfXDRrx
license: GPL
copyright: (c) 2011-2016 Mario Blazevic
maintainer: blamario@yahoo.com
homepage: https://github.com/blamario/incremental-parser
synopsis: Generic parser library capable of providing partial results from partial input.
description:
    This package defines yet another parser combinator library. This one is implemented using the concept of Brzozowski
    derivatives, tweaked and optimized to work with any monoidal input type. Lists, ByteString, and Text are supported out
    of the box, as well as any other data type for which the monoid-subclasses package defines instances. If the parser
    result is also a monoid, its chunks can be extracted incrementally, before the complete input is parsed.
category: Parsing
author: Mario Blazevic
exposed: True
exposed-modules:
    Text.ParserCombinators.Incremental
    Text.ParserCombinators.Incremental.LeftBiasedLocal
    Text.ParserCombinators.Incremental.Symmetric
    Control.Applicative.Monoid
abi: a9e51afec1fe5d24d6374a443ac9328f
trusted: False
import-dirs: /usr/lib/ghc-8.0.2/site-local/incremental-parser-0.2.5.1
library-dirs: /usr/lib/ghc-8.0.2/site-local/incremental-parser-0.2.5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.0.2/incremental-parser-0.2.5.1
hs-libraries: HSincremental-parser-0.2.5.1-ERVPlSR1ED688nkGfXDRrx
depends:
    base-4.9.1.0 monoid-subclasses-0.4.4-HS6AN0YV4VyJ0W7btAZSej
haddock-interfaces: /usr/share/doc/haskell-incremental-parser/html/incremental-parser.haddock
haddock-html: /usr/share/doc/haskell-incremental-parser/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"
